.hava-wrapper {
    width: 100%;
    display: flex;
    background: #fff;
}

#hava-wrapper {
    display: none;
}

.hava-pulse {
    width: 40px;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0 0 0 0 rgba(229, 20, 127, 0.50);
    -webkit-animation: pulse 1.5s infinite;
    z-index: 100;
}

    .hava-pulse img {
        width: 42px;
        margin: 0;
    }

    .hava-pulse:hover, .hava-pulse img:hover {
        -webkit-animation: none;
    }

.grow {
    -webkit-animation: grow 1.5s;
    display: block;
}

@-webkit-keyframes pulse {
    0% {
        transform: scale(.99);
    }

    70% {
        transform: scale(1);
        box-shadow: 0 0 0 10px rgba(229, 20, 127, 0);
    }

    100% {
        transform: scale(.99);
        box-shadow: 0 0 0 0 rgba(229, 20, 127, 0);
    }
}

@keyframes grow {
    from {
        transform: scale(0);
    }

    to {
        transform: scale(1);
    }
}

.hava-animation {
    animation: .2s ease-out 0s 1 slideInFromRight;
    transition: all 0.5s;
}

#hava-sidebar {
    width: 350px;
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    z-index: 995;
    background-image: url("../Images/hava-bg.png");
    background-repeat: repeat;
    color: #000;
    /*transition: all 0.3s;*/
    overflow: hidden;
    display: flex;
    flex-flow: column;
    border-left: 1px solid #e0e0e0;
}

    #hava-sidebar ul {
        list-style-type: none;
        padding-left: 0;
    }

.btn-hava {
    -moz-box-shadow: inset 0 1px 0 0 #ffffff;
    -webkit-box-shadow: inset 0 1px 0 0 #ffffff;
    box-shadow: inset 0 1px 0 0 #ffffff;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, #ffffff), color-stop(1, #f6f6f6));
    background: -moz-linear-gradient(top, #ffffff 5%, #f6f6f6 100%);
    background: -webkit-linear-gradient(top, #ffffff 5%, #f6f6f6 100%);
    background: -o-linear-gradient(top, #ffffff 5%, #f6f6f6 100%);
    background: -ms-linear-gradient(top, #ffffff 5%, #f6f6f6 100%);
    background: linear-gradient(to bottom, #ffffff 5%, #f6f6f6 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#f6f6f6',GradientType=0);
    background-color: #ffffff;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    border-radius: 0;
    border: 1px solid #0688fa;
    display: inline-block;
    cursor: pointer;
    color: #666666;
    font-family: Arial;
    font-size: 15px;
    font-weight: bold;
    padding: 6px 15px;
    text-decoration: none;
    text-shadow: 0 1px 0 #ffffff;
    width: 100%;
    margin: 0;
}

    .btn-hava:hover {
        background: -webkit-gradient(linear, left top, left bottom, color-stop(0.05, #e0e0e0), color-stop(1, #e0e0e0));
        background: -moz-linear-gradient(top, #e0e0e0 5%, #e0e0e0 100%);
        background: -webkit-linear-gradient(top, #e0e0e0 5%, #e0e0e0 100%);
        background: -o-linear-gradient(top, #e0e0e0 5%, #e0e0e0 100%);
        background: -ms-linear-gradient(top, #e0e0e0 5%, #e0e0e0 100%);
        background: linear-gradient(to bottom, #e0e0e0 5%, #e0e0e0 100%);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#e0e0e0', endColorstr='#e0e0e0',GradientType=0);
        background-color: #e0e0e0;
    }

ul li:first-child button.btn-hava {
    padding-top: 6px;
    -moz-border-radius: 9px 9px 0 0;
    -webkit-border-radius: 9px 9px 0 0;
    border-radius: 9px 9px 0 0;
    margin: 5px 0 0;
}

ul li:last-child button.btn-hava {
    padding-bottom: 6px;
    -moz-border-radius: 0 0 9px 9px;
    -webkit-border-radius: 0 0 9px 9px;
    border-radius: 0 0 9px 9px;
    margin: 0 0 5px;
}

.hava-little {
    font-size: 13px;
    padding: 6px 12px;
}

#hava-sidebar ul li button:active {
    position: relative;
    top: 1px;
    color: #666666;
}

#hava-Detail {
    width: 350px;
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    z-index: 999;
    background-color: #fff;
    color: #000;
    overflow: hidden;
    display: none;
    flex-flow: column;
    overflow-y: auto;
    border-left: 1px #333 solid;
}

.hava-Scroll {
    float: left;
    overflow-y: auto;
}

.hava-sb-buffer, #hava-sb-buffer2 {
    width: 100%;
    height: 65px;
    top: 0;
    background-color: #fff;
}

.hava-sb-header {
    width: 100%;
    flex: 0 1 auto;
    background-color: #ffffff;
    box-shadow: 0 3px 4px rgba(0,0,0,0.3);
    z-index: 50;
}

    .hava-sb-header img {
        margin-top: 5px;
        margin-bottom: 10px;
    }

.hava-sb-chatbody {
    width: 100%;
    flex: 1 1 auto;
    padding: 10px 20px;
    overflow-y: auto;
}

.hava-sb-optionbody {
    width: 100%;
    flex: 0 1 auto;
    padding: 10px 20px;
}

    .hava-sb-optionbody hr {
        width: 96%;
        border: 0;
        height: 1px;
        background: #333;
        background-image: linear-gradient(to right, #ccc, #333, #ccc);
    }

.hava-sb-footer {
    width: 100%;
    background-color: #333;
    color: #ffffff;
    font-size: 11px;
    flex: 0 1 15px;
    padding: 2px 2px;
    bottom: 0;
}

    .hava-sb-footer a {
        color: #fff;
    }

        .hava-sb-footer a:visited {
            color: #fff;
        }

.havaSideBarLogo {
    display: block;
    padding: 10px 0;
    margin: 0 auto;
}

.havaLifeCurveBox {
    margin: 0;
    background-color: #E9E6EC;
    padding: 4px 6px 0;
    box-shadow: 0 4px 4px rgba(0,0,0,0.3);
    text-align: right;
}

    .havaLifeCurveBox #ageingGoal, #ageingGoal.goal {
        margin: 0;
        padding: 5px;
        border: none;
    }

        .havaLifeCurveBox #ageingGoal #ADLLifeCurveWidget {
            display: flex;
            flex-direction: row;
        }

            .havaLifeCurveBox #ageingGoal #ADLLifeCurveWidget .havalcimg {
                flex: 0 1 47px;
            }

            .havaLifeCurveBox #ageingGoal #ADLLifeCurveWidget .havalcgoal {
                flex: 1 100%;
            }

            .havaLifeCurveBox #ageingGoal #ADLLifeCurveWidget .havalcbutton {
                flex: 0 1 auto;
            }

.havalcimg img {
    background-color: #ffffff;
    border: 1px solid #000000;
}

.havaLifeCurveBox h4 {
    font-size: 12px;
    text-decoration: none;
    color: #0a3375;
    text-transform: uppercase;
    font-weight: bold;
    margin: 0;
    padding: 2px 2px 2px 6px;
}

.havaLifeCurveBox h5 {
    font-size: 16px;
    text-decoration: none;
    color: #000000;
    margin: 0;
    padding: 2px 2px 2px 6px;
}

.btn-havalc, a .btn-havalc {
    background-color: #6f39af;
    color: #ffffff !important;
    transition: all .22s;
    box-shadow: 0 4px 6px rgba(50,50,93,.11),0 1px 3px rgba(0,0,0,.08);
    margin-right: 2px;
    width: 90px;
}

    .btn-havalc:active, .btn-havalc:focus, .btn-havalc:hover, a.btn-havalc:focus, a.btn-havalc:hover {
        background: #8545d1;
        color: #ffffff;
        box-shadow: 0 7px 14px rgba(50,50,93,.1),0 3px 6px rgba(0,0,0,.08)
    }

#havaChatLog li {
    display: inline-block;
    list-style-type: none;
    clear: both;
    min-width: 51%;
}

#havaChatLog .hava {
    display: flex;
    flex-flow: row;
}

    #havaChatLog .hava .hava-msg {
        background-color: #ffbedf;
        margin: 4px 2px;
        padding: 6px 10px 9px;
        border-radius: 12px 12px 12px 0;
        color: #020202;
        text-align: left;
        flex: 0 1 auto;
        border: 2px solid #FFA8D4;
    }

    #havaChatLog .hava .hava-av {
        color: #020202;
        text-align: left;
        display: flex;
        height: 50px;
        width: 50px;
        background: url(../Images/hava-sml.png) no-repeat;
        flex: 0 0 50px;
    }

#havaChatLog .user {
    background-color: #E9F4FF;
    margin: 4px 2px;
    padding: 6px 10px 9px;
    color: #222;
    border-radius: 12px 12px 0 12px;
    text-align: right;
    float: right;
    border: 2px solid #D4E9FF;
}

.hava-wrapper .idle {
    display: none;
    top: 110px;
    right: 60px;
    position: fixed;
    background: #fff;
    width: 250px;
    padding: 10px 0;
    border: 1px solid #9e9e9e;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(50,50,93,.11), 0 1px 3px rgba(0,0,0,.08);
    z-index: 999;
    margin-top: -7px;
    cursor: pointer
}

    .hava-wrapper .idle:before, .hava-wrapper .idle:after {
        left: 100%;
        top: 50%;
        border: solid transparent;
        content: " ";
        height: 0;
        width: 0;
        position: absolute;
        pointer-events: none;
    }

    .hava-wrapper .idle:after {
        border-color: rgba(255, 255, 255, 0);
        border-left-color: #ffffff;
        border-width: 10px;
        margin-top: -10px;
    }

    .hava-wrapper .idle:before {
        border-color: rgba(51, 51, 51, 0);
        border-left-color: #9e9e9e;
        border-width: 11px;
        margin-top: -11px;
    }

    .hava-wrapper .idle .col-md-9 {
        padding: 0;
    }

#hava-control {
    display: inline-block;
    height: 56px;
    width: 50px;
    z-index: 999;
    position: fixed;
    top: 0;
    right: 0;
    cursor: pointer;
}

.help-block-hava {
    text-align: center;
    margin: 0;
    padding: 2px 0 5px;
    color: #DF532D;
    font-style: italic;
    display: block;
    font-size: 12px;
}

.hava-Scroll .nav-tabs > li > a {
    border: 1px solid #8d0c4e;
    background: #fff;
    color: #8d0c4e;
    margin: 0;
}

.hava-Scroll .nav-tabs > .active > a, .nav-tabs > li > a:hover, .nav-tabs > li > a:active, .nav-tabs > li > a:focus {
    background: #8d0c4e !important;
    border: 1px solid #8d0c4e !important;
    color: #fff;
}

#lefttab {
    border-radius: 5px 0 0 5px !important;
}

#righttab {
    border-radius: 0 5px 5px 0 !important;
}

#hava-close-details {
    display: block;
    background: rgba(0, 0, 0, 0.15);
    padding: 0 12px;
    border-radius: 4px;
    height: 44px;
    width: 44px;
    z-index: 999;
    position: absolute;
    cursor: pointer;
}

    #hava-close-details span {
        font-size: 30px;
        font-weight: 600;
    }

#hava-notifications span.qty {
    background-color: pink;
    height: 31px;
    width: 31px;
    display: inline-block;
    position: relative;
    top: -70px;
    left: -15px;
    border-radius: 31px;
    color: white;
    font-weight: 600;
    padding: 3px 0 0 10px;
    z-index: 999;
}

#hava-saveditem-notifications span.qty {
    background-color: #008CF0;
    display: none;
}

#hava-new-notifications {
    height: 50px;
    width: 170px;
}

    #hava-new-notifications span {
        display: none;
        height: 50px;
        width: 170px;
        color: #333;
        position: relative;
        top: -87px;
        left: -170px;
        background-color: #fff;
        padding: 9px;
        line-height: 16px;
        text-align: left;
        text-align-last: left;
        font-size: 16px;
    }

#hava-idle-notification {
    height: 50px;
    width: 170px;
    display: none;
}

    #hava-idle-notification span {
        display: none;
        height: 50px;
        width: 170px;
        color: #333;
        position: relative;
        top: -123px;
        left: -125px;
        background-color: #fff;
        padding: 15px 20px 15px 10px;
        line-height: 16px;
        text-align: left;
        text-align-last: left;
        font-size: 16px;
    }

#hava-loading {
    margin-top: 50%;
}

#feedbackWindow .smcx-widget {
    margin-top: 47px;
}

#hava-sidebar h5.text-center {
    margin-top: 30px;
}

@media (max-width: 480px) and (min-width: 0) {

    #savedItemsWindow .nav > li {
        padding: 0;
    }

    #savedItemsWindow .nav-tabs {
        margin: 0 auto;
    }

    #feedbackWindow .smcx-widget {
        margin-top: 20px;
    }

    #hava-sidebar, #hava-Detail {
        width: 100% !important;
    }

    #hava-control {
        z-index: 996 !important;
        top: 90px !important;
    }

    #hava-notifications {
        display: none;
    }

    #hava-close-details {
        left: 0 !important
    }

    #hava-sidebar ul {
        margin: 0 !important;
    }

    .hava-sb-optionbody {
        padding: 5px !important;
    }
}

/*@media (max-width: 1200px) and (min-width: 861px) {
    #hava-close-details {
        right: 305px !important;
    }
}*/